summaryrefslogtreecommitdiffstats
path: root/tests/cp/no-deref-link1.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 16:11:47 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 16:11:47 +0000
commit758f820bcc0f68aeebac1717e537ca13a320b909 (patch)
tree48111ece75cf4f98316848b37a7e26356e00669e /tests/cp/no-deref-link1.sh
parentInitial commit. (diff)
downloadcoreutils-758f820bcc0f68aeebac1717e537ca13a320b909.tar.xz
coreutils-758f820bcc0f68aeebac1717e537ca13a320b909.zip
Adding upstream version 9.1.upstream/9.1upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'tests/cp/no-deref-link1.sh')
-rwxr-xr-xtests/cp/no-deref-link1.sh37
1 files changed, 37 insertions, 0 deletions
diff --git a/tests/cp/no-deref-link1.sh b/tests/cp/no-deref-link1.sh
new file mode 100755
index 0000000..678179f
--- /dev/null
+++ b/tests/cp/no-deref-link1.sh
@@ -0,0 +1,37 @@
+#!/bin/sh
+# cp from 3.16 fails this test
+
+# Copyright (C) 1997-2022 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <https://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/tests/init.sh"; path_prepend_ ./src
+print_ver_ cp
+
+mkdir a b
+msg=bar
+echo $msg > a/foo
+cd b
+ln -s ../a/foo .
+cd ..
+
+
+# It should fail with a message something like this:
+# ./cp: 'a/foo' and 'b/foo' are the same file
+# Fail this test if the exit status is not 1
+returns_ 1 cp -d a/foo b 2>/dev/null || fail=1
+
+test "$(cat a/foo)" = $msg || fail=1
+
+Exit $fail